You are not logged in.

Announcement

 Téléchargez la dernière version stable de GLPI      -     Et vous, que pouvez vous faire pour le projet GLPI ? :  Contribuer
 Download last stable version of GLPI                      -     What can you do for GLPI ? :  Contribute

#1 2018-03-30 09:35:47

gekko61
Guest
Registered: 2018-03-30
Posts: 2

Problème de mise à jour de la base de données

Bonjour,

j'ai en projet de mettre à jour notre GLPI vieillissant (la version 0.68.3 sur un Windows server 2003 avec Xampp) en la passant en version 9.2.2.
Je pars sur une nouvelle base, un serveur Debian 8 avec Apache2, PHP7 et MySQL. L'installation de GLPI ne pose pas de soucis.
Sauf que je veux reprendre la base de données de l'ancienne version, j'ai fait une sauvegarde de la base via le menu "Données" de GLPI 0.68.3, je l'ai copié dans le dossier "_dump" sur le nouveau serveur et effectué l'importation via le menu "Maintenance" de GLPI 9.2.2. L'importation se passe bien et quand je veux changer de page, GLPI me demande de mettre à jour la base de données (ce qui me semble logique), mais quand je clique sur "Mise à jour" j'obtiens une page contenant des erreurs PHP :

1522395041-captureglpi2.png

Je voudrais savoir comment remédier au problème si c'est possible.

En vous remerciant d'avance,

Offline

#2 2018-04-10 10:00:11

gekko61
Guest
Registered: 2018-03-30
Posts: 2

Re: Problème de mise à jour de la base de données

Bonjour,

je me permet de vous relancer.

Bien que je crains de repartir avec une base de donnée vierge.

En vous remerciant d'avance,

Offline

#3 2018-04-10 11:11:05

narutobaka
Guest
Registered: 2007-09-07
Posts: 299

Re: Problème de mise à jour de la base de données

Bonjour,

Sur ton nouveau serveur il faut remettre la même version de GLPI que sur ton ancien serveur.

Et ensuite effectuer la montée de version sur ton nouveau serveur.

Tu gardera ainsi tes données.

cordialement,


Prod : centos-release-7-2  | GLPI  9.2.2 | FusionInventory 9.2+1.0 | fusioninventory-agent_windows-x86_2.4
Test : centos-release-7-2 | GLPI  9.2.3 | FusionInventory 9.2+2.0 | fusioninventory-agent_windows-x86_2.4 => test de flyvemdm 2.0.0-dev
Rectorat de Caen

Offline

#4 2018-05-28 20:38:35

batmanandjoker
Guest
Registered: 2018-04-21
Posts: 2

Re: Problème de mise à jour de la base de données

hello,
ome googling led me to #1040 but file files/_log/php-errors.log only contains lines with "Test".

Error seemed to come from a missing translation ID (Associated element or Associated elements), but I checked and they are indeed in the .po file I use (fr_FR.po).

What I forgot to say is that I run the Zend OPcache extension (v7.0.6) which made me think of something...
After a simple restart of Apache, I gave the database upgrade another try and it went through without any error.

I can't see what you guys can do about it...
Maybe detect if the OPcache extension is enabled and try to run opcache_invalidate() or opcache_reset()?
Or at least, if a fatal error occurs, display to the user, an hint about clearing OPcache's cache or restarting Apache/PHP-FPM (depending on the SAPI used) and re-running the upgrade process.

Let's hope anyone getting the same issue will find this page and be able to resolve his with the same solution.
regards
jenny

Offline

Board footer

Powered by FluxBB